Subject: bug#21337: closed (Re: bug#21337: 25.0.50; inotify error message)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Sep 2015 08:41:02 +0000

Your bug report

#21337: 25.0.50; inotify error message

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21337: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21337
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21337: 25.0.50; inotify error message
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 05 Sep 2015 11:38:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 28 Aug 2015 16:30:16 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Robert Pluim <[email-masked]>
> > Cc: [email-masked]
> > Date: Wed, 26 Aug 2015 19:02:23 +0200
> > 
> > Step 5 should never happen, but because step 2 did not clear the
> > Available fd_set, and the HAVE_GNUTLS code incremented nfds, we think
> > there's data to be read.
> > 
> > The following patch, which zeros out Available when the GNUTLS code
> > does its thing has fixed things for me. I've convinced myself it has
> > no bad side-effects, but would appreciate a second opinion, especially
> > since the option also exists to just zero out Available
> > unconditionally when nfds==0.
> 
> Thanks for the investigation and the patch.  If no one objects in a
> few days, I will commit your changes.

Done.

Subject: 25.0.50; inotify error message
From: Robert Pluim <[email-masked]>
To: [email-masked]
Date: Mon, 24 Aug 2015 14:12:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

commit 200c2b10faf298bf65e8b6dbd0cb9ef00b2f95d6 made inotify be
preferred to gnotify.

That has shown that there's something amiss in our inotify
support: my emacs now spams me with

"Error while trying to read file system events"

whenever I run Gnus, making it unusable.

Regards

Robert

In GNU Emacs 25.0.50.39 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.13)
 of 2015-08-24 on rpluim-ubuntu
Repository revision: 0abf56df5de778d02e8acccb2044fcd6e7e4953c
Windowing system distributor `The X.Org Foundation', version 11.0.11701000
System Description:	Ubuntu 15.04

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_COLLATE: C
  value of $LC_MONETARY: en_GB.UTF-8
  value of $LC_NUMERIC: en_GB.UTF-8
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix